Loading...
Searching...
No Matches
ElasticSearchDataProvider::ElasticSearchPipelineDataProvider Class Reference

The ElasticSearch pipeline API root data provider. More...

`#include <ElasticSearchPipelineDataProvider.qc.dox.h>`

Inheritance diagram for ElasticSearchDataProvider::ElasticSearchPipelineDataProvider:
[legend]

## Public Member Functions

| constructor (*hash< auto > options)
| Creates the object from constructor options.
| constructor (RestClient::RestClient rest)
| Creates the object from a REST connection.
*list< hash< DataProvider::DataProviderSummaryInfo > > | getChildProviderSummaryInfo ()
| Return data provider summary info.
*string | getDesc ()
| Returns the data provider description.
string | getName ()
| Returns the data provider name.
hash< DataProvider::DataProviderInfo > | getStaticInfoImpl ()
| Returns data provider static info.
Public Member Functions inherited from ElasticSearchDataProvider::ElasticSearchDataProviderBase
| constructor ()
| Creates the object.
| constructor (RestClient rest)
| Creates the object from a REST connection.
| setLogger (*LoggerInterface logger)
| Accepts a LoggerInterface object for logging (or clears it)

## Public Attributes

const | ProviderInfo = ...
| Provider info.
const | ProviderSummaryInfo = ...
| Provider summary info.

## Protected Member Functions

*DataProvider::AbstractDataProvider | getChildProviderImpl (string name)
| Returns the given child provider or nothing if the given child is unknown.
*list< string > | getChildProviderNamesImpl ()
| Returns a list of child data provider names, if any.

## Detailed Description

The ElasticSearch pipeline API root data provider.

This data provider provides children that are API data providers for actions on ElasticSearch pipelines

## Member Function Documentation

## getChildProviderImpl()

*DataProvider::AbstractDataProvider ElasticSearchDataProvider::ElasticSearchPipelineDataProvider::getChildProviderImpl | ( | string | name | ) |

protected

Returns the given child provider or nothing if the given child is unknown.

Returns
  the given child provider or nothing if the given child is unknown

See also
  getChildProviderEx()

## getChildProviderNamesImpl()

*list< string > ElasticSearchDataProvider::ElasticSearchPipelineDataProvider::getChildProviderNamesImpl | ( |  | ) |

protected

Returns a list of child data provider names, if any.

Returns
  a list of child data provider names, if any